#! /usr/bin/env python

import sys
import eyeD3
from eyeD3.frames import TITLE_FID, id3EncodingToString

from os import utime
from os.path import getmtime

for filename in sys.argv[1:]:
   mtime = getmtime(filename)
   id3tag = eyeD3.Tag()
   id3tag.link(filename)

   title_frames = id3tag.frames[TITLE_FID]
   if title_frames:
      title_frame = title_frames[0]
      print title_frame.text.encode(id3EncodingToString(title_frame.encoding))
   else:
      print filename

   id3tag.setVersion(eyeD3.ID3_V2)

   id3tag.update()
   utime(filename, (mtime, mtime))
